<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>

<?php
	/**
	* dt_booking_before_main_content hook.
	*/
	do_action( 'dt_booking_before_main_content' );
?>

	<?php
		/**
		* dt_booking_before_content hook.
		*/
		do_action( 'dt_booking_before_content' );
    ?>

		<?php
            if( have_posts() ) {
                while( have_posts() ) {
                    the_post();

					$PID = get_the_ID();

					#Meta...
					$service_settings = get_post_meta($PID, '_custom_settings', true);
					$service_settings = is_array ( $service_settings ) ? $service_settings : array (); ?>

                    <div class="dt-sc-title script-with-sub-title dt-sc-dark-title"><?php
						if( array_key_exists('service_opt_flds', $service_settings) ):
							for($i = 1; $i <= 1; $i++):

								$title = $service_settings['service_opt_flds']['service_opt_flds_title_'.$i];
								$value = $service_settings['service_opt_flds']['service_opt_flds_value_'.$i];

								if( !empty($title) && !empty($value) ):
									echo '<h6>'.esc_html($value).'</h6>';
								endif;
							endfor;
						endif; ?>
                        <h2><?php the_title(); ?></h2>
                    </div>

					<div class="image"><?php
						if(has_post_thumbnail()):
							the_post_thumbnail("full");
						endif;

                        if( array_key_exists('service-price', $service_settings) ):
                            echo '<h4>'.dt_booking_get_currency_symbol().$service_settings['service-price'].'</h4>';
                        endif; ?>
                    </div><?php

                    the_content();
                }
            }?>

	<?php
        /**
        * dt_booking_after_content hook.
        */
        do_action( 'dt_booking_after_content' );
    ?>

<?php
	/**
	* dt_booking_after_main_content hook.
	*/
	do_action( 'dt_booking_after_main_content' );
?>

<?php get_footer();